<%@ Page Language="C#" EnableViewState="false" Inherits="System.Web.UI.Page" %>
<%@ Import Namespace="ChooseYourStory.Stories" %>
<%@ Import Namespace="ChooseYourStory.Utilities" %>
<%@ Import Namespace="ChooseYourStory.Stories.Rating" %>
<%@ Register Assembly="ChooseYourStory" Namespace="ChooseYourStory.Web.Controls" TagPrefix="cys" %>

<script runat="server">
	StoryState State;
	
	protected override void OnLoad(EventArgs e)
	{
		//ensure postback
		if (!Request.Form.HasKeys()) throw new Exception("Invalid input.");
		
		//must be, load storystate
		State = StoryState.CreateFromString(Request.Form["SS"]);

		DataBind();
	}
	
	
	protected void AddComment_Click(object sender, EventArgs e)
	{
		string username = null;
		string anonName = null;
		string anonEmail = null;
		
		if (User.Identity.IsAuthenticated)
		{
			username = User.Identity.Name;
		}
		else
		{
			anonName = AnonymousName.Text;
			anonEmail = AnonymousEmail.Text;
		}
		State.AddComment(State.Score, username, anonName, anonEmail, CommentText.Text);
		
		ChooseYourStory.Legacy.LegacyLogger.FinishGame(State.StoryId);
		Server.Transfer("Thanks.aspx");
	}

	private void NoThanks_Click(object sender, EventArgs e)
	{
		ChooseYourStory.Legacy.LegacyLogger.FinishGame(State.StoryId);
		Response.Write(
			"<scr" + "ipt>\n"+
			"	var lnk = '/story/" + ChooseYourStory.Utilities.UrlEncoding.Encode(State.StoryTitle) + ".aspx';\n" +
			"	if ((!window.opener)||(window.opener.closed)) \n" +
			"	{ \n" +
			"		window.open(lnk); \n" +
			"	} \n " +
			"	else \n" + 
			"	{ \n" +
			"		window.opener.location=lnk; \n" +
			"		window.opener.focus(); \n " +
			"	}\n" +
			"	window.close(); \n" +
			"</scr" + "ipt>You may close this window");
		Response.End();
	}

</script>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title runat="server">
		<%#State.StoryTitle%>
		:: Story Viewer</title>

	<script language="JavaScript1.2" type="text/javascript"><!--
		function getEl(item) {
			if( window.mmIsOpera ) return(document.getElementById(item));
			if (document.all) return(document.all[item]);
			if (document.getElementById) return(document.getElementById(item));
			return(false);
		}		
		function nothanks()
		{	
			var lnk = '/story/<%#ChooseYourStory.Utilities.UrlEncoding.Encode(State.StoryTitle)%>.aspx';
			if ((!window.opener)||(window.opener.closed)) 
			{
				window.open(lnk);
			}
			else
			{
				window.opener.location=lnk;
				window.opener.focus();
			}
			window.close();
		}
	//--></script>
</head>
<body>
	<form runat="server">
		<input type="hidden" name="SS" value="<%#State.CreateStoryStateString()%>" />
	
	<!-- BEGIN BANNER -->		
	<asp:PlaceHolder runat="server">
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="150"><cys:ThemedImage runat="server" style="opacity: .6; filter: alpha(opacity=60);" src="storyviewer_masthead_logo.gif" width="150" height="20" border="0" alt="" /></td>
				<td width="100%"><cys:ThemedImage runat="server" style="opacity: .6; filter: alpha(opacity=60); width: 100%" src="storyviewer_masthead_background.gif" width="100" height="20" border="0" alt="" /></td>
			</tr>
		</table>
	</asp:PlaceHolder>
	<!--  END BANNER -->
	
	<!--  BEGIN PAGE TITLE -->
	<div class="dark1border" style="text-align: center; margin: 20px 50px 20px 50px;
		padding: 0px 20px 0px 20px; border-top-width: 1px; border-bottom-width: 1px; border-top-style: solid;
		border-bottom-style: solid;">
		<h1>Comment on <%#State.StoryTitle%></h1>
	</div>
	<!-- END PAGE TITLE -->
	
	<!-- BEGIN MAIN -->
	<div style="padding:0px 30px 0px 30px">
		
	  <table border="0" cellspacing="0" cellpadding="5">
        <tr>
          <td colspan="2">Now, why not share your experience and thoughts with the author and the rest of the community? </td>
        </tr>
        <tr>
          <td><h3>Name</h3></td>
          <td>
						<asp:Literal runat="server" Visible="<%#User.Identity.IsAuthenticated %>" Text="<%#User.Identity.Name %>" />
						<asp:TextBox runat="server" Visible="<%#!User.Identity.IsAuthenticated %>" id="AnonymousName" />
						<asp:RequiredFieldValidator runat="server" ControlToValidate="AnonymousName" CssClass="error" ErrorMessage="<br /> * required"/>
					</td>
        </tr>
        <tr runat="server" visible="<%#!User.Identity.IsAuthenticated %>">
          <td><h3>Email<br /><span  style="font-weight:normal; ">(optional, visible to author only)</span></h3></td>
          <td><asp:TextBox runat="server" ID="AnonymousEmail" /></td>
        </tr>
        <tr>
          <td valign="top"><h3>Comment</h3>
          <asp:RequiredFieldValidator runat="server" ControlToValidate="CommentText" CssClass="error" ErrorMessage="<br /> * required"/>
          </td>
          <td><asp:TextBox runat="server" ID="CommentText" TextMode="MultiLine" Columns="60" rows="6" autofocus="true"/></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td>
						<asp:Button runat="server" OnClick="AddComment_Click" Text="Submit Comment" />
						&nbsp;&nbsp;
						<asp:Button runat="server" OnClick="NoThanks_Click" Text="No Thanks" CausesValidation="False" />
			</td>
        </tr>
      </table>
	  
	</div>
	<!-- END MAIN -->
	</form>
</body>
</html>
