<%@ Page Language="C#" EnableViewState="false" Inherits="System.Web.UI.Page" %>
<%@ Import Namespace="ChooseYourStory.Stories" %>
<%@ Import Namespace="ChooseYourStory.Utilities" %>
<%@ Register Assembly="ChooseYourStory" Namespace="ChooseYourStory.Web.Controls" TagPrefix="cys" %>
<script runat="server">
	protected StoryState State;
	protected bool hasSaveState = false;
	protected DateTime lastSaveDate = DateTime.MinValue;

	
	protected override void OnLoad(EventArgs e)
	{
		//ensure postback
		if (!Request.Form.HasKeys()) throw new Exception("Invalid input.");
		
		//must be, load storystate
		State = StoryState.CreateFromString(Request.Form["SS"]);
		if (User.Identity.IsAuthenticated)
		{
			lastSaveDate = State.GetLastSaveDate(User.Identity.Name);
			hasSaveState = lastSaveDate > DateTime.MinValue;
		}
	}
	protected void Contine_Click(object sender, EventArgs e)
	{
		Server.Transfer("default.aspx");
	}

	protected void Save_Click(object sender, EventArgs e)
	{
		State.SaveState(User.Identity.Name);
		Server.Transfer("default.aspx");
	}

	protected void SaveQuit_Click(object sender, EventArgs e)
	{
		State.SaveState(User.Identity.Name);
		Response.Write("<scr" + "ipt>window.close()</scr" + "ipt>You may close this window.");
		Response.End();
	}		
	
	protected override void OnLoadComplete(EventArgs e)
	{
		DataBind();
	}	
</script>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title runat="server">
		<%#State.StoryTitle%>
		:: Story Viewer</title>

	<script language="JavaScript1.2" type="text/javascript"><!--
		function getEl(item) {
			if( window.mmIsOpera ) return(document.getElementById(item));
			if (document.all) return(document.all[item]);
			if (document.getElementById) return(document.getElementById(item));
			return(false);
		}		
	//--></script>
</head>
<body>
	<form runat="server">
		<input type="hidden" name="SS" value="<%#State.CreateStoryStateString()%>" />
	
	<!-- BEGIN BANNER -->		
	<asp:PlaceHolder runat="server">
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="150"><cys:ThemedImage runat="server" style="opacity: .6; filter: alpha(opacity=60);" src="storyviewer_masthead_logo.gif" width="150" height="20" border="0" alt="" /></td>
				<td width="100%"><cys:ThemedImage runat="server" style="opacity: .6; filter: alpha(opacity=60); width: 100%" src="storyviewer_masthead_background.gif" width="100" height="20" border="0" alt="" /></td>
			</tr>
		</table>
	</asp:PlaceHolder>
	<!--  END BANNER -->
	
	<!--  BEGIN PAGE TITLE -->
	<div class="dark1border" style="text-align: center; margin: 20px 50px 20px 50px;
		padding: 0px 20px 0px 20px; border-top-width: 1px; border-bottom-width: 1px; border-top-style: solid;
		border-bottom-style: solid;">
		<h1>Save Storygame Progress</h1>
		</h1>
	</div>
	<!-- END PAGE TITLE -->
	
	<!-- BEGIN MAIN -->
	<div style="padding:0px 30px 0px 30px">
		<div>
			<asp:PlaceHolder runat="server" Visible="<%#!User.Identity.IsAuthenticated %>">
				<p>In order to save your progress, you need to have an account and be logged into the site.</p>
				<p>To logon, <a href="/logon.aspx" target="_blank">click here</a> to open the logon screen in a new window. You can also create a new account on that page if you do not already have one.</p>
				<p>Once you have logged on, you may close the window that was opened and 
				<a href="#" onClick="document.forms[0].submit()">click here</a> to continue and save your progress.</p>
				<p>To go back to the page you were just viewing, and not save your progress, <a href="#" onclick="history.go(-1);">click here</a>.</p>
			</asp:PlaceHolder>
			<asp:PlaceHolder runat="server" Visible="<%#User.Identity.IsAuthenticated %>">
				<p>Saving your progress is incredibly easy. Just click on one of the big ole' buttons below You can access your saved state by going to the "My Stuff" tab back on the main site.</p>
				<p class="error" runat="server" visible="<%# hasSaveState %>">
					You already have a saved state for <em><%#State.StoryTitle%></em> from 
					<%# lastSaveDate.ToShortDateString() %>. If you Save again, it will overwrite your old save.</p>
				<p>
					<asp:Button runat="server" OnClick="Save_Click" Text="Save and Continue" />
					&nbsp;&nbsp;
					<asp:Button runat="server" OnClick="SaveQuit_Click" Text="Save and Quit" />
					&nbsp;&nbsp;
					<asp:Button runat="server" OnClick="Contine_Click" Text="Continue Without Saving" />
				</p>	
			</asp:PlaceHolder>
		</div>
	</div>
	<!-- END MAIN -->
	</form>
</body>
</html>
